GNU bug report logs - #44195
EXCORPORATE: android/termux/emacs - "error in process filter: wrong authorization "

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jeffrey Haug <jthaug@HIDDEN>; merged with #43566, #44439; dated Sat, 24 Oct 2020 16:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 43566 44195 44439. Request was from Thomas Fitzsimmons <fitzsim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44195 <at> debbugs.gnu.org:


Received: (at 44195) by debbugs.gnu.org; 26 Oct 2020 21:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 26 17:01:42 2020
Received: from localhost ([127.0.0.1]:41630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kX9cc-0008DD-0H
	for submit <at> debbugs.gnu.org; Mon, 26 Oct 2020 17:01:42 -0400
Received: from mail-qk1-f176.google.com ([209.85.222.176]:33480)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fitzsim@HIDDEN>) id 1kX9cZ-0008Cy-Vs
 for 44195 <at> debbugs.gnu.org; Mon, 26 Oct 2020 17:01:40 -0400
Received: by mail-qk1-f176.google.com with SMTP id t128so4744592qke.0
 for <44195 <at> debbugs.gnu.org>; Mon, 26 Oct 2020 14:01:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=fitzsim-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Zyd4PUlZ91QFrzMJamfNvWIZxySFHJBcbr/+kMx1WKI=;
 b=K7j4Z9h31lgkCSP2C60KP4DG2YdWk513JB5n37diabtW9rA8E7bLE065LAU6loriKl
 plozw+iOW0onRIvuU8vduccwMobCD4Py0IG4AVrLVwGKqPh60gcMd/+K87+bTne/XMq9
 tJvSNyDp2y8LxPC0UIM7u6TkTaQ7gJN0H8RFM8hvWchP8pQ93npC5/ROLXZB+hftCZOK
 XUXnWBMHFsdUvFxHlN99Sc618+augmrOGqCaE4vSRcz8F/zZwxZtsdNuTVqQ0gbIU3Fp
 xzsWABnQArm4AvvX+8HUWRwPE+0dPMsgU13UBXIyHo2p9BAzeKFoeww0n0WPDHhSLuTW
 uARQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Zyd4PUlZ91QFrzMJamfNvWIZxySFHJBcbr/+kMx1WKI=;
 b=qYVFXWLN6vfbyIk7cIPhJAq0CvUwJ7wYP/or51snNIxdf345frFWVRGX8ZgBs0+v/N
 ynrKJaFsmPOtlw28oYE2btayl2IkLNPU1fMdWuyjymBAvJyhIkpAF9CcBeWCVMQl78g3
 MoAdqKCa7FCU0QqXPEjm8it2xjaGeNAWNESnxmF3l1gwwqJNOOdi3TTNLoIndlwU76gZ
 zG3l8NuG7fEgAEzL2zLc1KqMiMg+nbLJ3jIO+KJdByAG/wm/GZLUta8O7F96P1sqqzk/
 0690L53qV5j6iIOA+xuqGLkwaqs5UYODGLvZnUaH/J0fp3CCxqfcOWz/x/jamHfaT+rj
 xbGg==
X-Gm-Message-State: AOAM533AWZz7ps4nYWpwfcDQdjm8jD8eQVx/yxPTu3qg76CZTqHYtMv4
 d42zFJHz4VilKPTS7xvA/lqzRJekT3Tp6Q==
X-Google-Smtp-Source: ABdhPJx/Pbz7Rd2S5PrxGSm42QCwMC8OtAR4S0J6TvlJPhDKgTqPZrVr7OR9K6PmAIW5kLuYj+YS6g==
X-Received: by 2002:a37:aa91:: with SMTP id
 t139mr16896298qke.124.1603746094042; 
 Mon, 26 Oct 2020 14:01:34 -0700 (PDT)
Received: from localhost.localdomain (69-165-165-189.dsl.teksavvy.com.
 [69.165.165.189])
 by smtp.gmail.com with ESMTPSA id z30sm1780580qtc.15.2020.10.26.14.01.33
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 26 Oct 2020 14:01:33 -0700 (PDT)
From: Thomas Fitzsimmons <fitzsim@HIDDEN>
To: Jeffrey Haug <jthaug@HIDDEN>
Subject: Re: bug#44195: EXCORPORATE: android/termux/emacs - "error in
 process filter: wrong authorization "
References: <CAMP2Dvjphn895rFj_HAvqWwtydah+xaEohBmnmKPNz5ab6_Z6A@HIDDEN>
Date: Mon, 26 Oct 2020 17:01:32 -0400
In-Reply-To: <CAMP2Dvjphn895rFj_HAvqWwtydah+xaEohBmnmKPNz5ab6_Z6A@HIDDEN>
 (Jeffrey Haug's message of "Sat, 24 Oct 2020 23:13:38 +0800")
Message-ID: <m3blgohfbn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44195
Cc: 44195 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Jeffrey,

Thanks for reporting.

Jeffrey Haug <jthaug@HIDDEN> writes:

> Setup
>
> termux-info
> Packages CPU architecture:
> aarch64
> Subscribed repositories:
> # sources.list
> deb https://termux.mentality.rip/termux-packages-24/ stable main
> # game-repo (sources.list.d/game.list)
> deb https://dl.bintray.com/grimler/game-packages-24 games stable
> # science-repo (sources.list.d/science.list)
> deb https://dl.bintray.com/grimler/science-packages-24 science stable
> Updatable packages:
> All packages up to date
> Android version:
> 10
> Kernel build information:
> Linux localhost 4.14.113-19542039 #1 SMP PREEMPT Fri Aug 28 18:36:13 KST 2020 aarch64 Android
> Device manufacturer:
> samsung
> Device model:
> SM-N975F
>
> emacs 27.1
> excorporate-0.9.1
> fsm-0.2.1
> soap-client-3.2.0
> url-http-ntlm-2.0.4
>
> Issue
>
> autodiscover works great
> after entering username & password
> I get the following error:
>
> error in process filter: Wrong authorization used for https:// *url remove*
>
> I have verified my username & password several times. I can follow the
> exact steps on my other windows 10 emacs setup and connect
> successfully.
>
> Can you help me debug?

Sure.  On the aarch64 machine can you try the steps in the
Troubleshooting section of the Excorporate manual?

C-h i d m exco RET 5

You can compare the results of doing the same steps on your working
setup.  See if you can see any differences in how the authentication is
working, like what authentication types the server is offering via
WWW-Authenticate headers and which one Emacs is choosing in
Authorization headers.

Thanks,
Thomas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44195; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Oct 2020 16:25:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 24 12:25:09 2020
Received: from localhost ([127.0.0.1]:34988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kWMLs-0003ln-C1
	for submit <at> debbugs.gnu.org; Sat, 24 Oct 2020 12:25:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:40082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jthaug@HIDDEN>) id 1kWLEw-0001pG-D8
 for submit <at> debbugs.gnu.org; Sat, 24 Oct 2020 11:13:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43336)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jthaug@HIDDEN>) id 1kWLEw-0000qd-55
 for bug-gnu-emacs@HIDDEN; Sat, 24 Oct 2020 11:13:54 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:33700)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jthaug@HIDDEN>) id 1kWLEu-0000uL-3Z
 for bug-gnu-emacs@HIDDEN; Sat, 24 Oct 2020 11:13:53 -0400
Received: by mail-wr1-x436.google.com with SMTP id b8so6257192wrn.0
 for <bug-gnu-emacs@HIDDEN>; Sat, 24 Oct 2020 08:13:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=2FCNn2HZ1SC2O18FdCZml7TOHnBB8qh6KOVexS9ECEs=;
 b=cn3BgE19ktcIKqYIYggvcfBNAI26rCh6ljwBZk23U3A3MQHD2tzsMoBZEGr6CRVsk/
 bzj/UOnG/KWx88l8q+ijADVU19qWlWucp68iLBmGNexL0eFUHh8iJhmFK9U9G5Em+Bwh
 X5x7w+tHVi4GHGV4YekIpkXvKrQVZMyQhjeiZ+60mGogmFHrbdU5n+bCvpv4cKolMspV
 ERDrvRmgST2mKJsfslvx385KhNxx1ezI9MZsf7fw839HYErF1iCbRhFHs1qCqQ9DT/vA
 mUb7h8olgL1PxvfrAbGxndlsiGatTjYzGN9Vcla8HOOrIFmmFciraF2bYih99KD86eju
 ZkWw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=2FCNn2HZ1SC2O18FdCZml7TOHnBB8qh6KOVexS9ECEs=;
 b=hiHpql5TWqtSx0b4VFrTSo3JBbOwGI2Sh/PxhDAanMNkq/LAFj68P2RbjgO1lTS98C
 R/Ki1+7c2RgoZPuWKZ+T9NFUJZgd+uXtajCfTNlRtDdWZaOMyRn7qZKKbOMw9uDDYFSm
 CBTRnAQDl6G7gyKGQTZIvlrle6oSNs3A8KFROb6Bw0H0Kh3+fQ6jufyG/wdOlg6YtcOT
 3GdYsx7lqSoTykHwj91Lkyqk4mM+BNLvRzn15skAlkK5mlGjBZHVJNKF6tUx5wdiG3Sd
 GubIx9Az13DF56bnZsAbxrJz8XBdKgqytXiRo0USl+TD5kvb30yQX7IGrisR68xDEz86
 0jKQ==
X-Gm-Message-State: AOAM532dtvv1pTiqTSiTo7g6IWmJwRBnFVk7K6GFOdtq19pFKrOfRhFW
 uCFF0eHnga4vjnU/AkJGEHzjAu9whWcvnqMfbyBQP9U/nAA=
X-Google-Smtp-Source: ABdhPJzySJov8VHNSJ5fRBDRhM4goieuvvboVl+lvCv5EjauDaLQb7oTytNlTlFMtOaW8VHZRQMz+pDhd1n321qjg0k=
X-Received: by 2002:adf:f1c8:: with SMTP id z8mr8728552wro.371.1603552429612; 
 Sat, 24 Oct 2020 08:13:49 -0700 (PDT)
MIME-Version: 1.0
From: Jeffrey Haug <jthaug@HIDDEN>
Date: Sat, 24 Oct 2020 23:13:38 +0800
Message-ID: <CAMP2Dvjphn895rFj_HAvqWwtydah+xaEohBmnmKPNz5ab6_Z6A@HIDDEN>
Subject: EXCORPORATE: android/termux/emacs - "error in process filter: wrong
 authorization "
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000f2217a05b26c2490"
Received-SPF: pass client-ip=2a00:1450:4864:20::436;
 envelope-from=jthaug@HIDDEN; helo=mail-wr1-x436.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 24 Oct 2020 12:25:07 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000f2217a05b26c2490
Content-Type: text/plain; charset="UTF-8"

Setup

termux-info
Packages CPU architecture:
aarch64
Subscribed repositories:
# sources.list
deb https://termux.mentality.rip/termux-packages-24/ stable main
# game-repo (sources.list.d/game.list)
deb https://dl.bintray.com/grimler/game-packages-24 games stable
# science-repo (sources.list.d/science.list)
deb https://dl.bintray.com/grimler/science-packages-24 science stable
Updatable packages:
All packages up to date
Android version:
10
Kernel build information:
Linux localhost 4.14.113-19542039 #1 SMP PREEMPT Fri Aug 28 18:36:13 KST
2020 aarch64 Android
Device manufacturer:
samsung
Device model:
SM-N975F

emacs 27.1
excorporate-0.9.1
fsm-0.2.1
soap-client-3.2.0
url-http-ntlm-2.0.4

Issue

autodiscover works great
after entering username & password
I get the following error:

error in process filter: Wrong authorization used for https:// *url remove*

I have verified my username & password several times. I can follow the
exact steps on my other windows 10 emacs setup and connect successfully.

Can you help me debug?

I use excorporate daily and I am so close to getting a nice portable
version of emacs /org mode  with exchange integration!

Thanks for all of your help and let me know how to proceed.

Thanks,
Jeff

--000000000000f2217a05b26c2490
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div dir=3D"auto">Setup</div><div dir=3D"auto"><br></div>=
<div dir=3D"auto"><div dir=3D"auto">termux-info</div><div dir=3D"auto">Pack=
ages CPU architecture:</div><div dir=3D"auto">aarch64</div><div dir=3D"auto=
">Subscribed repositories:</div><div dir=3D"auto"># sources.list</div><div =
dir=3D"auto">deb <a href=3D"https://termux.mentality.rip/termux-packages-24=
/">https://termux.mentality.rip/termux-packages-24/</a> stable main</div><d=
iv dir=3D"auto"># game-repo (sources.list.d/game.list)</div><div dir=3D"aut=
o">deb <a href=3D"https://dl.bintray.com/grimler/game-packages-24">https://=
dl.bintray.com/grimler/game-packages-24</a> games stable</div><div dir=3D"a=
uto"># science-repo (sources.list.d/science.list)</div><div dir=3D"auto">de=
b <a href=3D"https://dl.bintray.com/grimler/science-packages-24">https://dl=
.bintray.com/grimler/science-packages-24</a> science stable</div><div dir=
=3D"auto">Updatable packages:</div><div dir=3D"auto">All packages up to dat=
e</div><div dir=3D"auto">Android version:</div><div dir=3D"auto">10</div><d=
iv dir=3D"auto">Kernel build information:</div><div dir=3D"auto">Linux loca=
lhost 4.14.113-19542039 #1 SMP PREEMPT Fri Aug 28 18:36:13 KST 2020 aarch64=
 Android</div><div dir=3D"auto">Device manufacturer:</div><div dir=3D"auto"=
>samsung</div><div dir=3D"auto">Device model:</div><div dir=3D"auto">SM-N97=
5F</div><div dir=3D"auto"><br></div></div><div dir=3D"auto">emacs 27.1</div=
><div dir=3D"auto"><div dir=3D"auto">excorporate-0.9.1</div><div dir=3D"aut=
o">fsm-0.2.1</div><div dir=3D"auto">soap-client-3.2.0</div><div dir=3D"auto=
">url-http-ntlm-2.0.4<br></div><div dir=3D"auto"><br></div><div dir=3D"auto=
">Issue</div><div dir=3D"auto"><br></div><div dir=3D"auto">autodiscover wor=
ks great</div><div dir=3D"auto">after entering username &amp; password</div=
><div dir=3D"auto">I get the following error:</div><div dir=3D"auto"><br></=
div><div dir=3D"auto"><div dir=3D"auto">error in process filter: Wrong auth=
orization used for https:// *url remove*</div><div dir=3D"auto"><br></div><=
div dir=3D"auto">I have verified my username &amp; password several times. =
I can follow the exact steps on my other windows 10 emacs setup and connect=
 successfully.</div><div dir=3D"auto"><br></div><div dir=3D"auto">Can you h=
elp me debug?</div><div dir=3D"auto"><br></div><div dir=3D"auto">I use exco=
rporate daily and I am so close to getting a nice portable version of emacs=
 /org mode=C2=A0 with exchange integration!</div><div dir=3D"auto"><br></di=
v><div dir=3D"auto">Thanks for all of your help and let me know how to proc=
eed.</div><div dir=3D"auto"><br></div><div dir=3D"auto">Thanks,</div><div d=
ir=3D"auto">Jeff</div><div dir=3D"auto"><br></div></div><div dir=3D"auto"><=
br></div><div dir=3D"auto"><br></div><div dir=3D"auto"><br></div></div></di=
v>

--000000000000f2217a05b26c2490--




Acknowledgement sent to Jeffrey Haug <jthaug@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44195; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 4 Dec 2020 15:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.